summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Rodrigo Gimenez <estrod[at]zoho[dot]com>2017-05-04 18:29:07 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-05-06 07:03:44 +0700
commit3c5c8b895788c3d2480a0944d3cf4fcd2aec8f8a (patch)
tree9b878105008442407d4af0fe9de586144d5ed3f7
parentde4ea4664d44fb4069fab6cd92c14049405d2956 (diff)
downloadslackbuilds-3c5c8b895788c3d2480a0944d3cf4fcd2aec8f8a.tar.gz
slackbuilds-3c5c8b895788c3d2480a0944d3cf4fcd2aec8f8a.tar.xz
desktop/variety: Added (python library).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--desktop/variety/README20
-rw-r--r--desktop/variety/disable-panoramio.patch47
-rw-r--r--desktop/variety/doinst.sh9
-rw-r--r--desktop/variety/fix-valueerror.patch11
-rw-r--r--desktop/variety/slack-desc19
-rw-r--r--desktop/variety/variety.SlackBuild79
-rw-r--r--desktop/variety/variety.info10
7 files changed, 195 insertions, 0 deletions
diff --git a/desktop/variety/README b/desktop/variety/README
new file mode 100644
index 00000000000..8859b46b16a
--- /dev/null
+++ b/desktop/variety/README
@@ -0,0 +1,20 @@
+Variety changes the desktop wallpaper on a regular basis, using
+user-specified or automatically downloaded images.
+
+Variety sits conveniently as an indicator in the panel and can be easily
+paused and resumed. The mouse wheel can be used to scroll wallpapers
+back and forth until you find the perfect one for your current mood.
+
+Apart from displaying images from local folders, several different
+online sources can be used to fetch wallpapers according to
+user-specified criteria.
+
+Variety can also automatically apply various fancy filters to the
+displayed images - charcoal painting, oil painting, heavy blurring, etc.
+- so that your desktop is always fresh and unique. Applying a heavy
+blurring filter for example is a great way to get abstract-looking and
+unobtrusive, yet colorful wallpapers, similar in spirit to the default
+one in Ubuntu.
+
+Variety was developed by Peter Levi as part of the Ubuntu App Showdown,
+June-July 2012
diff --git a/desktop/variety/disable-panoramio.patch b/desktop/variety/disable-panoramio.patch
new file mode 100644
index 00000000000..641119859e9
--- /dev/null
+++ b/desktop/variety/disable-panoramio.patch
@@ -0,0 +1,47 @@
+diff -Naur variety-0.6.3.orig/variety/PreferencesVarietyDialog.py variety-0.6.3/variety/PreferencesVarietyDialog.py
+--- variety-0.6.3.orig/variety/PreferencesVarietyDialog.py 2016-11-01 19:59:39.000000000 +0100
++++ variety-0.6.3/variety/PreferencesVarietyDialog.py 2017-01-25 21:53:29.419376574 +0100
+@@ -32,7 +32,6 @@
+ from variety.AddFlickrDialog import AddFlickrDialog
+ from variety.AddMediaRssDialog import AddMediaRssDialog
+ from variety.AddRedditDialog import AddRedditDialog
+-from variety.AddPanoramioDialog import AddPanoramioDialog
+ from variety.EditFavoriteOperationsDialog import EditFavoriteOperationsDialog
+ from variety.SmartFeaturesConfirmationDialog import SmartFeaturesConfirmationDialog
+ from variety.LoginOrRegisterDialog import LoginOrRegisterDialog
+@@ -64,7 +63,6 @@
+ EDITABLE_TYPES = [
+ Options.SourceType.FLICKR,
+ Options.SourceType.MEDIA_RSS,
+- Options.SourceType.PANORAMIO,
+ Options.SourceType.WALLHAVEN,
+ Options.SourceType.REDDIT,
+ ]
+@@ -381,7 +379,6 @@
+ '-',
+ (_("Flickr"), self.on_add_flickr_clicked),
+ (_("Wallhaven.cc"), self.on_add_wallhaven_clicked),
+- (_("Panoramio"), self.on_add_panoramio_clicked),
+ (_("Reddit"), self.on_add_reddit_clicked),
+ (_("Media RSS"), self.on_add_mediarss_clicked),
+ ]
+@@ -672,8 +669,6 @@
+ self.dialog = AddRedditDialog()
+ elif type == Options.SourceType.MEDIA_RSS:
+ self.dialog = AddMediaRssDialog()
+- elif type == Options.SourceType.PANORAMIO:
+- self.dialog = AddPanoramioDialog()
+
+ self.dialog.set_edited_row(edited_row)
+ self.show_dialog(self.dialog)
+@@ -786,9 +781,6 @@
+ def on_add_wallhaven_clicked(self, widget=None):
+ self.show_dialog(AddWallhavenDialog())
+
+- def on_add_panoramio_clicked(self, widget=None):
+- self.show_dialog(AddPanoramioDialog())
+-
+ def show_dialog(self, dialog):
+ self.dialog = dialog
+ self.dialog.parent = self
+
diff --git a/desktop/variety/doinst.sh b/desktop/variety/doinst.sh
new file mode 100644
index 00000000000..65c7e2eeb9a
--- /dev/null
+++ b/desktop/variety/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/variety/fix-valueerror.patch b/desktop/variety/fix-valueerror.patch
new file mode 100644
index 00000000000..21a1739d9d0
--- /dev/null
+++ b/desktop/variety/fix-valueerror.patch
@@ -0,0 +1,11 @@
+diff -Naur variety-0.6.4.orig/variety/indicator.py variety-0.6.4/variety/indicator.py
+--- variety-0.6.4.orig/variety/indicator.py 2017-04-29 07:23:37.000000000 +0200
++++ variety-0.6.4/variety/indicator.py 2017-04-29 13:30:24.341703536 +0200
+@@ -33,6 +33,8 @@
+ use_appindicator = True
+ except ImportError:
+ use_appindicator = False
++except ValueError:
++ use_appindicator = False
+
+ from variety_lib import varietyconfig
diff --git a/desktop/variety/slack-desc b/desktop/variety/slack-desc
new file mode 100644
index 00000000000..ee4f69c51dc
--- /dev/null
+++ b/desktop/variety/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+variety: variety (python library)
+variety:
+variety: Variety changes the wallpaper on a regular interval using
+variety: user-specified or automatically downloaded images.
+variety:
+variety:
+variety:
+variety: Homepage: https://launchpad.net/variety
+variety:
+variety:
+variety:
diff --git a/desktop/variety/variety.SlackBuild b/desktop/variety/variety.SlackBuild
new file mode 100644
index 00000000000..a50b7518a15
--- /dev/null
+++ b/desktop/variety/variety.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for variety
+# Copyright 2017 Rodrigo Gimenez <estrod[at]zoho[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=variety
+VERSION=${VERSION:-0.6.4}
+VERSION2=${VERSION2:-0-589-201704290523}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION-$VERSION2.tar.gz
+cd $PRGNAM-$VERSION
+
+# Patches obtained from Archlinux's package
+# Disable Panoramio support (removes webkitgtk dependency)
+patch -Np1 -i $CWD/disable-panoramio.patch
+# Fix error when appindicator is missing
+patch -Np1 -i $CWD/fix-valueerror.patch
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING AUTHORS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/variety/variety.info b/desktop/variety/variety.info
new file mode 100644
index 00000000000..d1db7921818
--- /dev/null
+++ b/desktop/variety/variety.info
@@ -0,0 +1,10 @@
+PRGNAM="variety"
+VERSION="0.6.4"
+HOMEPAGE="https://launchpad.net/variety"
+DOWNLOAD="https://launchpad.net/variety/trunk/0.6.4/+download/variety_0.6.4-0-589-201704290523.tar.gz"
+MD5SUM="dea8a8ef3f1037047ba01a969c6dd458"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python-distutils-extra BeautifulSoup4 python-requests libgexiv2 configobj"
+MAINTAINER="Rodrigo Gimenez"
+EMAIL="estrod[at]zoho[dot]com"